import { FeedbackService } from "./feedback.service";
import { FeedbackConfiguration } from "./feedback-configuration.model";
export declare class FeedbackComponent {
    private feedback;
    private feedbackModal;
    configuration: FeedbackConfiguration;
    isHidden: boolean;
    isLoading: boolean;
    isScreenshotMode: boolean;
    constructor(feedback: FeedbackService);
    /**
     * Cancel taking of screenshot.
     */
    cancelScreenshot(): void;
    /**
     * Clear screenshots.
     */
    clearScreenshots(): void;
    /**
     * Get all screenshots taken.
     * @return {string[]} the screenshots as dataUrls.
     */
    getScreenshots(): string[];
    /**
     * Open feedback modal.
     */
    openFeedbackModal(): void;
    /**
     * Take a screenshot.
     */
    takeScreenshot(): void;
}
