import { Injectable } from "@angular/core";
var FeedbackService = (function () {
    function FeedbackService() {
    }
    /**
     * Clear all screenshots.
     */
    FeedbackService.prototype.clearScreenshots = function () {
        if (this.screenshotComponent) {
            this.screenshotComponent.clearScreenshots();
        }
    };
    /**
     * Destroy screenshot canvas.
     */
    FeedbackService.prototype.destroyCanvas = function () {
        this.screenshotComponent.destroyCanvas();
    };
    /**
     * Get all screenshots.
     * @return {Array} the screenshots.
     */
    FeedbackService.prototype.getScreenshots = function () {
        if (this.screenshotComponent) {
            return this.screenshotComponent.screenshots;
        }
        else {
            return [];
        }
    };
    /**
     * Hide the feedback modal.
     */
    FeedbackService.prototype.hideFeedbackModal = function () {
        this.modalComponent.closeModal();
    };
    /**
     * Hide send feedback button.
     */
    FeedbackService.prototype.hideSendFeedbackButton = function () {
        this.buttonComponent.isHidden = true;
    };
    /**
     * Lock take screenshot buttons.
     */
    FeedbackService.prototype.lockTakeScreenshotButtons = function () {
        this.buttonComponent.isLoading = true;
    };
    /**
     * Unlock take screenshot buttons.
     */
    FeedbackService.prototype.unlockTakeScreenshotButtons = function () {
        this.buttonComponent.isLoading = false;
    };
    /**
     * Show feedback modal.
     */
    FeedbackService.prototype.showFeedbackModal = function () {
        this.modalComponent.openModal();
    };
    /**
     * Show send feedback button.
     */
    FeedbackService.prototype.showSendFeedbackButton = function () {
        this.buttonComponent.isHidden = false;
    };
    /**
     * Set screenshot mode.
     * @param isScreenshotMode whether screenshot mode or not.
     */
    FeedbackService.prototype.setScreenshotMode = function (isScreenshotMode) {
        this.buttonComponent.isScreenshotMode = isScreenshotMode;
    };
    /**
     * Take a screenshot.
     */
    FeedbackService.prototype.takeScreenshot = function () {
        this.screenshotComponent.takeScreenshot();
    };
    return FeedbackService;
}());
export { FeedbackService };
FeedbackService.decorators = [
    { type: Injectable },
];
/** @nocollapse */
FeedbackService.ctorParameters = function () { return []; };
//# sourceMappingURL=feedback.service.js.map